#ifndef ENGINEERROR_H
#define ENGINEERROR_H

#include <stdexcept>
#include <string>


class EngineError : public std::runtime_error
{
	public:
		EngineError(const std::string& description);
		EngineError(const std::string& description, const std::string& details);
		std::string getDetails();

		~EngineError() throw() {}
	private:
		std::string details;
};



#endif
