#include "Engine.h"
#include "EngineError.h"
#include <cstdio>

using namespace std;

int main ( int argc, char** argv )
{
	try
	{
		Engine::get().run();
	}
	catch (EngineError error)
	{
		// we use printf instead of iostream to save some KB
		// (iostream is a large library when linked statically ;) )
		printf("%s\n\tDetails: %s", error.what(), error.getDetails().c_str());
	}
    return 0;
}
