#include "EngineError.h"
#include <SDL/SDL.h>

using namespace std;


EngineError::EngineError(const string& description)
	: std::runtime_error(description), details(SDL_GetError())
{
}

EngineError::EngineError(const std::string& desc, const std::string& details_)
	: std::runtime_error(desc), details(details_)
{
}

string EngineError::getDetails()
{
	return details;
}

