#ifndef GAMEOVEREFFECT_H
#define GAMEOVEREFFECT_H

/**
 * GameOverEffect.h: a simple effect for when the game is over
 *
 * (c) 2007 Thomas Unterthiner
 *
 */

#include "Effect.h"
#include "typedefs.h"

class GameOverEffect : public Effect
{
	public:
		GameOverEffect();
		virtual ~GameOverEffect();

		virtual bool isFinished();
		virtual void draw(float dt);
		virtual void update();

	private:
		bool isFinished_;
		Texture texture;
		Time startTime;
};



#endif // GAMEOVEREFFECT_H
