#ifndef ZOMBIE_H
#define ZOMBIE_H

#include "Pawn.h"
#include "Sound.h"


class Zombie : public Pawn
{
	public:
		Zombie(const Vector2D& pos, float speed, int hp);
		virtual void update();
		virtual bool isAlive();

		/**
		 * Zombies can't move if they're colliding with the playerpawn
		 */
		virtual bool canMove();
		virtual ~Zombie();

	protected:
		virtual void onDeath();
		bool isTouchingThePlayer();
};



#endif // ZOMBIE_H
